Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(708)

Unified Diff: platform_tools/android/bin/android_run_skia

Issue 223613004: hack hack hack on android scripts (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: script dir abs Created 6 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « platform_tools/android/bin/android_make ('k') | platform_tools/android/bin/android_setup.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/android_run_skia
diff --git a/platform_tools/android/bin/android_run_skia b/platform_tools/android/bin/android_run_skia
index 6e303ec4309435313d082acebf19ebd48fcff3e4..ebcc041c2d74f2b5ffc3b0abc476a933b399e508 100755
--- a/platform_tools/android/bin/android_run_skia
+++ b/platform_tools/android/bin/android_run_skia
@@ -7,41 +7,28 @@ SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $SCRIPT_DIR/android_setup.sh
source $SCRIPT_DIR/utils/setup_adb.sh
-configuration="Debug"
-
-for arg in ${APP_ARGS[@]}
-do
- if [[ "${arg}" == "--release" ]];
- then
- configuration="Release"
- else
- runVars=("${runVars[@]}" "${arg}")
- fi
-
-shift
-done
-
-if [ ! -f "${SKIA_OUT}/${configuration}/lib.target/lib${runVars[0]}.so" ];
+if [ ! -f "${SKIA_OUT}/$BUILDTYPE/lib/lib${APP_ARGS[0]}.so" ];
then
- echo "Unable to find the ${runVars[0]} library"
+ echo "Unable to find $BUILDTYPE ${APP_ARGS[0]} library"
exit 1
fi
-adb_push_if_needed "${SKIA_OUT}/${configuration}/skia_launcher" /data/local/tmp
-if [ -f "${SKIA_OUT}/${configuration}/lib.target/libskia_android.so" ]; then
+adb_push_if_needed "${SKIA_OUT}/$BUILDTYPE/skia_launcher" /data/local/tmp
+if [ -f "${SKIA_OUT}/$BUILDTYPE/lib/libskia_android.so" ]; then
# Does not exist for builds with static skia.
- adb_push_if_needed "${SKIA_OUT}/${configuration}/lib.target/libskia_android.so" /data/local/tmp
+ adb_push_if_needed "${SKIA_OUT}/$BUILDTYPE/lib/libskia_android.so" /data/local/tmp
fi
-adb_push_if_needed "${SKIA_OUT}/${configuration}/lib.target/lib${runVars[0]}.so" /data/local/tmp
+adb_push_if_needed "${SKIA_OUT}/$BUILDTYPE/lib/lib${APP_ARGS[0]}.so" /data/local/tmp
STATUS_FILENAME="/data/local/tmp/.skia_tmp_$(date +%s%N)"
-$ADB ${DEVICE_SERIAL} shell "/data/local/tmp/skia_launcher ${runVars[@]}; echo \$? > ${STATUS_FILENAME}"
+$ADB ${DEVICE_SERIAL} shell \
+ "/data/local/tmp/skia_launcher ${APP_ARGS[@]}; echo \$? > ${STATUS_FILENAME}"
if [ -z "$($ADB $DEVICE_SERIAL shell 'if [ -f $STATUS_FILENAME ]; then echo exists; fi')" ]; then
exit 1
fi
EXIT_CODE=`$ADB ${DEVICE_SERIAL} shell cat ${STATUS_FILENAME}`
$ADB ${DEVICE_SERIAL} shell rm ${STATUS_FILENAME}
-echo "EXIT_CODE is [${EXIT_CODE}]"
+echo "EXIT_CODE is ${EXIT_CODE}"
if [ $'0\r' != "${EXIT_CODE}" ]; then
exit 1
fi
« no previous file with comments | « platform_tools/android/bin/android_make ('k') | platform_tools/android/bin/android_setup.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698